Bug 867700 - GUI removes brick from a volume when volume is in stopped state, without displaying message that says "volume needs to be started"
GUI removes brick from a volume when volume is in stopped state, without disp...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Shireesh
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 02:38 EDT by Shruti Sampat
Modified: 2013-07-03 02:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 07:14:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2012-10-18 02:38:09 EDT
Description of problem:
---------------------------------------
When trying to remove a brick from a gluster volume through the gluster CLI, when the volume is in 'stopped' state, using the command - 

gluster volume remove-brick <vol-name> <brick> start

the following message is seen - 

"Volume <vol-name> needs to be started before remove-brick (you can use 'force' or 'commit' to override this behavior)" 

When trying to remove a brick from the GUI when the volume is in the 'stopped' state, the operation succeeds without a similar message.


Version-Release number of selected component (if applicable):
Red Hat Storage Console Version: 2.0.techpreview1-3.el6rhs 

How reproducible:
Always

Steps to Reproduce:
1.Create a gluster volume from the GUI.
2.Select the created volume and click on the sub-tab 'Bricks'. 
3.Select the bricks to be removed and click on 'Remove Bricks'.
4.When asked for confirmation, click on 'yes'.
  
Actual results:
The brick that was selected for removal was successfully removed without displaying any message saying the volume needs to be started.

Expected results:
An appropriate message, like the one displayed by the CLI should be displayed.

Additional info:
Comment 2 Shireesh 2012-10-29 07:14:17 EDT
remove-brick with 'start' option is an asynchronous task, which is currently not supported by the console. We use the synchronous mode using the 'force' option by default.

Work to support asynchronous tasks is in progress, and is tracked through https://bugzilla.redhat.com/show_bug.cgi?id=850422

When we start supporting async tasks, it will include remove-brick as well.

So I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.